<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title><% LIN_PRODUCT_NAME %></title>
<meta http-equiv="X-UA-Compatible" content="IE=9,8,7,6,5" />
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<meta http-equiv="pragma" content="no-cache">
<meta http-equiv="expires" content="-1">
<link rel="stylesheet" href="/template.css" type="text/css">
<script language=javascript src="/java/js.js"></script>
<script type="text/javascript" src="/java/jquery-1.4.4.pack.js"></script>
<script language="JavaScript">
<!--
var isIE = /*@cc_on!@*/false;
var secs;
var timerID=null;
var delay=1000;
var http_request;
var xmlDoc;
var xmlNode;
var serverNoResponseCount=0;
var classString=new Array("normal", "normal", "warning", "critical");
var upstype=<% UPS_TYPE %>;
var imgSrc=new Array("/images/l_gray.gif","/images/l_normal.gif","/images/l_warning.gif","/images/l_critical.gif");
var show_module="<% UPS_SHOW_MODULE %>";
var val_eco=<% CFG_ECO %>;
var val_ctlBUZ=<% CTL_BUZ %>;

function InitializeTimer()
{
	// Set the length of the timer, in seconds
	secs=0;
	RunTheTimer();
}

function RunTheTimer()
{
	if(secs==0) {
		secs = <% WEB_REFRESH %>;
		if(serverNoResponseCount>3) {
			UpdateXMLValue(); // Display unknown
		}
		serverNoResponseCount++; // Increase no response counter
		MakeXMLRequest();
	}
	self.status=secs;
	secs=secs-1;
	timerID=self.setTimeout("RunTheTimer()",delay);
}

function MakeXMLRequest()
{
    if(window.XMLHttpRequest) // IE7, Chrome
    	http_request=new XMLHttpRequest();
    else if(window.ActiveXObject) { // IE
    	try {
        	// New IE
        	http_request=new ActiveXObject("Msxml2.XMLHTTP");
    	}
    	catch(e) {
        	try {
        		// IE6, IE5
        		http_request=new ActiveXObject("Microsoft.XMLHTTP");
        	}
        	catch(e) {}
    	}
    }
    if(!http_request) {
        alert('Cannot create an XML instance');
        return false;
    }
    http_request.onreadystatechange=function() {HandleRxXML();}; // Set callback function
    http_request.open('GET','info_status.xml',true);
	// IE need to add the following header or it always gets the catched info_ups.xml and the values are always the same
	http_request.setRequestHeader("If-Modified-Since","Sat, 1 Jan 2000 00:00:00 GMT");
	d = new Date();
	t = d.getTime();
	thetimestring=t.toString(10);
	http_request.send(thetimestring);
}

function HandleRxXML() {
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
			UpdateXMLValue();
			serverNoResponseCount=0; // Clear no response counter
		}
    }
}

function UpdateXMLValue()
{
    if(serverNoResponseCount>3) {
		document.getElementById('NET_DISCONNECT').innerHTML=getdivc("@index#20","Network: Disconnect");
    }
    else {
	    if(isIE) { // IE
		 	try {
				xmlDoc = new ActiveXObject("MSxml2.DOMDocument");
			}
			catch(e) {
				try {
					xmlDoc = new ActiveXObject("Microsoft.xmldom");
				}
    	    	catch(e) {}
			}
			xmlDoc.loadXML(http_request.responseText)
    	}
	    else { // Chrome
    		xmlDoc=http_request.responseXML;
    	}
		document.getElementById('NET_DISCONNECT').innerHTML="";
		document.getElementById('SYS_TIME').innerHTML = xmlDoc.getElementsByTagName('SYS_TIME')[0].childNodes[0].nodeValue;

		document['IMG_STS_COMMERR'].src=imgSrc[xmlDoc.getElementsByTagName('IMG_STS_COMMERR')[0].childNodes[0].nodeValue];
		document['IMG_STS_ACFAIL'].src=imgSrc[xmlDoc.getElementsByTagName('IMG_STS_ACFAIL')[0].childNodes[0].nodeValue];
		document['IMG_STS_BATTLOW'].src=imgSrc[xmlDoc.getElementsByTagName('IMG_STS_BATTLOW')[0].childNodes[0].nodeValue];
		document['IMG_STS_BATTDEPLETED'].src=imgSrc[xmlDoc.getElementsByTagName('IMG_STS_BATTDEPLETED')[0].childNodes[0].nodeValue];
		document['IMG_STS_BATTREPLACE'].src=imgSrc[xmlDoc.getElementsByTagName('IMG_STS_BATTREPLACE')[0].childNodes[0].nodeValue];
		document['IMG_STS_BATTGROUND'].src=imgSrc[xmlDoc.getElementsByTagName('IMG_STS_BATTGROUND')[0].childNodes[0].nodeValue];
		document['IMG_STS_TESTING'].src=imgSrc[xmlDoc.getElementsByTagName('IMG_STS_TESTING')[0].childNodes[0].nodeValue];
		document['IMG_STS_TESTFAIL'].src=imgSrc[xmlDoc.getElementsByTagName('IMG_STS_TESTFAIL')[0].childNodes[0].nodeValue];
		document['IMG_STS_ONBYPASS'].src=imgSrc[xmlDoc.getElementsByTagName('IMG_STS_ONBYPASS')[0].childNodes[0].nodeValue];
		if(upstype==3) {
			document['IMG_STS_ONRESERVE'].src=imgSrc[xmlDoc.getElementsByTagName('IMG_STS_ONRESERVE')[0].childNodes[0].nodeValue];
		}
		if (val_eco > 0) {
			document['IMG_STS_ECONOMIC'].src=imgSrc[xmlDoc.getElementsByTagName('IMG_STS_ECONOMIC')[0].childNodes[0].nodeValue];
		}
		document['IMG_STS_BUZSTATE'].src=imgSrc[xmlDoc.getElementsByTagName('IMG_STS_BUZSTATE')[0].childNodes[0].nodeValue];
		if (val_ctlBUZ!=0) {
			document['IMG_STS_BUZSTATUS'].src=imgSrc[xmlDoc.getElementsByTagName('IMG_STS_BUZSTATUS')[0].childNodes[0].nodeValue];
		}

		document['IMG_STS_SYSTEMOFF'].src=imgSrc[xmlDoc.getElementsByTagName('IMG_STS_SYSTEMOFF')[0].childNodes[0].nodeValue];
		document['IMG_STS_SHUTDOWN'].src=imgSrc[xmlDoc.getElementsByTagName('IMG_STS_SHUTDOWN')[0].childNodes[0].nodeValue];
		document['IMG_STS_OUTPUTOVERVOLT'].src=imgSrc[xmlDoc.getElementsByTagName('IMG_STS_OUTPUTOVERVOLT')[0].childNodes[0].nodeValue];
		document['IMG_STS_OUTPUTUNDERVOLT'].src=imgSrc[xmlDoc.getElementsByTagName('IMG_STS_OUTPUTUNDERVOLT')[0].childNodes[0].nodeValue];
		document['IMG_STS_OUTPUTOFF'].src=imgSrc[xmlDoc.getElementsByTagName('IMG_STS_OUTPUTOFF')[0].childNodes[0].nodeValue];
		document['IMG_STS_OVERLOAD'].src=imgSrc[xmlDoc.getElementsByTagName('IMG_STS_OVERLOAD')[0].childNodes[0].nodeValue];
		document['IMG_STS_OVERTEMP'].src=imgSrc[xmlDoc.getElementsByTagName('IMG_STS_OVERTEMP')[0].childNodes[0].nodeValue];
		document['IMG_STS_UPSFAIL'].src=imgSrc[xmlDoc.getElementsByTagName('IMG_STS_UPSFAIL')[0].childNodes[0].nodeValue];
		document['IMG_STS_FANFAIL'].src=imgSrc[xmlDoc.getElementsByTagName('IMG_STS_FANFAIL')[0].childNodes[0].nodeValue];
		document['IMG_STS_FUSEFAIL'].src=imgSrc[xmlDoc.getElementsByTagName('IMG_STS_FUSEFAIL')[0].childNodes[0].nodeValue];
		document['IMG_STS_INVERTER'].src=imgSrc[xmlDoc.getElementsByTagName('IMG_STS_INVERTER')[0].childNodes[0].nodeValue];
		document['IMG_STS_CHARGER'].src=imgSrc[xmlDoc.getElementsByTagName('IMG_STS_CHARGER')[0].childNodes[0].nodeValue];
		document['IMG_STS_BYPASS'].src=imgSrc[xmlDoc.getElementsByTagName('IMG_STS_BYPASS')[0].childNodes[0].nodeValue];
		document['IMG_STS_EPO'].src=imgSrc[xmlDoc.getElementsByTagName('IMG_STS_EPO')[0].childNodes[0].nodeValue];
		if(show_module) {
			document['IMG_STS_POWERODULE'].src=imgSrc[xmlDoc.getElementsByTagName('IMG_STS_POWERODULE')[0].childNodes[0].nodeValue];
            document['IMG_STS_REDUNDANCY'].src=imgSrc[xmlDoc.getElementsByTagName('IMG_STS_REDUNDANCY')[0].childNodes[0].nodeValue];
		}
        document['IMG_STS_OUTBREAKER'].src=imgSrc[xmlDoc.getElementsByTagName('IMG_STS_OUTBREAKER')[0].childNodes[0].nodeValue];
        document['IMG_STS_ASYNC'].src=imgSrc[xmlDoc.getElementsByTagName('IMG_STS_ASYNC')[0].childNodes[0].nodeValue];
        document['IMG_STS_RECTIFIER'].src=imgSrc[xmlDoc.getElementsByTagName('IMG_STS_RECTIFIER')[0].childNodes[0].nodeValue];

		if((enableML)&&(currectLang != defaultLang)) {
			chgLangByDoc(info_statuss, document, 0)
		}
	}
}
pageLang = "info_status"
//-->
</script>
</head>
<body leftmargin="1" topmargin="8" style="display:none" onLoad="loadjs('/java/langs.js');setTimeout('pageload();InitializeTimer();',150)">
<!-- Top Menu & Left Menu Start -->
<table width=941 border=0 height=100% cellspacing=0 cellpadding=0 align=center id=tab0>
<tr><td colspan=3 id=topblk valign=top><div id=topblkdiv></div></td></tr>
<tr><td colspan=3 id=topmenu1><span id=topmenu1div></span></td></tr>
<tr><td colspan=3 class=topmenusgap><img src="/images/sp.gif" width=941 height=2></td></tr>
<tr><td colspan=3 class=topmenu2 valign=top><span id=topmenu2div></span></td></tr>
<tr><td width="170" valign=top id=td0><div class=menunavdiv id=leftmenudiv></div></td>
<td id=td1><img src=/images/sp.gif width=13 height=1></td>
<td id=td2>
<div style="display:none">
<div id=currlang><% LIN_LANG %></div>
<div id=home_url><a href='<% LIN_INDEX_ASP %>'><span id="@menus#0">Home</span></a></div>
<div id=logout_url><a href='/logout.asp' class='nav' target='_top'><span id="@menus#1">Logout</span></a></div>
<div id=sys_times><% SYS_TIME %></div>
<span id='@index#20'>Network: Disconnect</span>
</div>
<!-- Top Menu & Left Menu End -->
<h4 id=page_title></h4>
<!-- Form Start -->
<table cellspacing=0 cellpadding=1 border=0>
<tr><td colspan=4 class="critical"><span id=NET_DISCONNECT></span></td></tr>
<tr><td colspan=4>
	<div class='bluetabs brtype0' id="<span id='@menus#35'>Status Indication</span>">
	<table width=320 border=0 cellspacing=1 cellpadding=0 class=mtab>

<tr><td valign="top" width=33%>
	<table width=200 border=0 cellspacing=1 cellpadding=0>
<script language="javascript">
<!--
if (val_eco > 0) {
	document.write("<tr valign=top><td width=10% align=center><img name='IMG_STS_ECONOMIC'></td><td><span id='#0'>Economy Mode</span></td></tr>");
}
document.write("<tr valign=top><td width=10% align=center><img name='IMG_STS_BUZSTATE'></td><td><span id='#1'>Buzzer Enabled</span></td></tr>");
--></script>
	</table>
	</td>
	<td width=5%></td>
	<td valign="top">
	<table width=200 border=0 cellspacing=0 cellpadding=0>
<script language="javascript">
<!--
document.write("<tr valign=top><td width=10% align=center><img name='IMG_STS_COMMERR'></td><td><span id='#2'>UPS Disconnect</span></td></tr>");
if (val_ctlBUZ!=0) {
	document.write("<tr valign=top><td width=10% align=center><img name='IMG_STS_BUZSTATUS'></td><td><span id='#3'>Buzzer Alarm</span></td></tr>");
}
document.write("<tr valign=top><td width=10% align=center><img name='IMG_STS_ACFAIL'></td><td><span id='#4'>Input Out Of Range</span></td></tr>");
document.write("<tr valign=top><td width=10% align=center><img name='IMG_STS_BATTLOW'></td><td><span id='#5'>Battery Low</span></td></tr>");
document.write("<tr valign=top><td width=10% align=center><img name='IMG_STS_BATTDEPLETED'></td><td><span id='#6'>Battery Depleted</span></td></tr>");
document.write("<tr valign=top><td width=10% align=center><img name='IMG_STS_BATTREPLACE'></td><td><span id='#7'>Battery Need Replace</span></td></tr>");
document.write("<tr valign=top><td width=10% align=center><img name='IMG_STS_BATTGROUND'></td><td><span id='#8'>Battery Ground Fault</span></td></tr>");
document.write("<tr valign=top><td width=10% align=center><img name='IMG_STS_TESTING'></td><td><span id='#9'>Test In Progress</span></td></tr>");
document.write("<tr valign=top><td width=10% align=center><img name='IMG_STS_TESTFAIL'></td><td><span id='#10'>Test Fail</span></td></tr>");
document.write("<tr valign=top><td width=10% align=center><img name='IMG_STS_OUTPUTOFF'></td><td><span id='#11'>Output Off</span></td></tr>");
if(upstype==3) {
	document.write("<tr valign=top><td width=10% align=center><img name='IMG_STS_ONBYPASS'></td><td><span id='#12'>On Manual Bypass</span></td></tr>");
	document.write("<tr valign=top><td width=10% align=center><img name='IMG_STS_ONRESERVE'></td><td><span id='#13'>On Reserve</span></td></tr>");
}
else
	document.write("<tr valign=top><td width=10% align=center><img name='IMG_STS_ONBYPASS'></td><td><span id='#14'>On Bypass</span></td></tr>");
document.write("<tr valign=top><td width=10% align=center><img name='IMG_STS_SYSTEMOFF'></td><td><span id='#15'>UPS System Off</span></td></tr>");
document.write("<tr valign=top><td width=10% align=center><img name='IMG_STS_SHUTDOWN'></td><td><span id='#16'>UPS Shutdown</span></td></tr>");
document.write("<tr valign=top><td width=10% align=center><img name='IMG_STS_OUTBREAKER'></td><td><span id='#29'>Output Breaker</span></td></tr>");
--></script>
	</table>
	</td>
	<td valign="top">
	<table width=200 border=0 cellspacing=0 cellpadding=0>
<script language="javascript">
<!--
document.write("<tr valign=top><td width=10% align=center><img name='IMG_STS_OUTPUTOVERVOLT'></td><td><span id='#17'>Output Over Voltage</span></td></tr>");
document.write("<tr valign=top><td width=10% align=center><img name='IMG_STS_OUTPUTUNDERVOLT'></td><td><span id='#18'>Output Under Voltage</span></td></tr>");
document.write("<tr valign=top><td width=10% align=center><img name='IMG_STS_OVERLOAD'></td><td><span id='#19'>Overload</span></td></tr>");
document.write("<tr valign=top><td width=10% align=center><img name='IMG_STS_OVERTEMP'></td><td><span id='#20'>Temperature Out Of Range</span></td></tr>");
document.write("<tr valign=top><td width=10% align=center><img name='IMG_STS_UPSFAIL'></td><td><span id='#21'>Other Warning</span></td></tr>");
document.write("<tr valign=top><td width=10% align=center><img name='IMG_STS_FANFAIL'></td><td><span id='#22'>Fan Abnormal</span></td></tr>");
document.write("<tr valign=top><td width=10% align=center><img name='IMG_STS_FUSEFAIL'></td><td><span id='#23'>Fuse Abnormal</span></td></tr>");
document.write("<tr valign=top><td width=10% align=center><img name='IMG_STS_INVERTER'></td><td><span id='#24'>Inverter Abnormal</span></td></tr>");
document.write("<tr valign=top><td width=10% align=center><img name='IMG_STS_CHARGER'></td><td><span id='#25'>Charger Abnormal</span></td></tr>");
document.write("<tr valign=top><td width=10% align=center><img name='IMG_STS_BYPASS'></td><td><span id='#26'>Bypass Out Of Range</span></td></tr>");
document.write("<tr valign=top><td width=10% align=center><img name='IMG_STS_EPO'></td><td><span id='#27'>Emergency Power Off</span></td></tr>");
if(show_module) {
	document.write("<tr valign=top><td width=10% align=center><img name='IMG_STS_POWERODULE'></td><td><a href='/en/device/info_module.asp' class='uline'><span id='#28'>Power Module Abnormal</span></a></td></tr>");
    document.write("<tr valign=top><td width=10% align=center><img name='IMG_STS_REDUNDANCY'></td><td><span id='#32'>Redundancy Loss</span></td></tr>");
}
document.write("<tr valign=top><td width=10% align=center><img name='IMG_STS_ASYNC'></td><td><span id='#30'>Phase Asynchronous</span></td></tr>");
document.write("<tr valign=top><td width=10% align=center><img name='IMG_STS_RECTIFIER'></td><td><span id='#31'>Rectifier Abnormal</span></td></tr>");
--></script>
	</table>
	</td>
</tr>

</table></td></tr>
</table>

<!-- Form end -->
<div id=copyright style="margin-top:-12px;"></div>
		</td>
	</tr>
</table>
<script language="javascript"><!--
var usr_level=<% LIN_LOGIN_LEVEL %>;
loadwebstyle("Monitor","Information","Status Indication")
//--></script>
</body>
</html>